Package com.mapd.thrift.server

## Class TPixelTableRowResult

- java.lang.Object
- - com.mapd.thrift.server.TPixelTableRowResult

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TPixelTableRowResult>`, `org.apache.thrift.TBase<TPixelTableRowResult,​TPixelTableRowResult._Fields>`, `org.apache.thrift.TSerializable`

    public class TPixelTableRowResult
    extends Object
    implements org.apache.thrift.TBase<TPixelTableRowResult,​TPixelTableRowResult._Fields>, Serializable, Cloneable, Comparable<TPixelTableRowResult>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TPixelTableRowResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TPixelTableRowResult._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `nonce`
`TPixel` `pixel`
`List<Long>` `row_id`
`TRowSet` `row_set`
`List<Long>` `table_id`
`String` `vega_table_name`

### Constructor Summary

Constructors
`TPixelTableRowResult()`
`TPixelTableRowResult​(TPixel pixel, String vega_table_name, List<Long> table_id, List<Long> row_id, TRowSet row_set, String nonce)`
`TPixelTableRowResult​(TPixelTableRowResult other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToRow_id​(long elem)`
`void` `addToTable_id​(long elem)`
`void` `clear()`
`int` `compareTo​(TPixelTableRowResult other)`
`TPixelTableRowResult` `deepCopy()`
`boolean` `equals​(TPixelTableRowResult that)`
`boolean` `equals​(Object that)`
`TPixelTableRowResult._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TPixelTableRowResult._Fields field)`
`String` `getNonce()`
`TPixel` `getPixel()`
`List<Long>` `getRow_id()`
`Iterator<Long>` `getRow_idIterator()`
`int` `getRow_idSize()`
`TRowSet` `getRow_set()`
`List<Long>` `getTable_id()`
`Iterator<Long>` `getTable_idIterator()`
`int` `getTable_idSize()`
`String` `getVega_table_name()`
`int` `hashCode()`
`boolean` `isSet​(TPixelTableRowResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetNonce()` Returns true if field nonce is set (has been assigned a value) and false otherwise
`boolean` `isSetPixel()` Returns true if field pixel is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_id()` Returns true if field row_id is set (has been assigned a value) and false otherwise
`boolean` `isSetRow_set()` Returns true if field row_set is set (has been assigned a value) and false otherwise
`boolean` `isSetTable_id()` Returns true if field table_id is set (has been assigned a value) and false otherwise
`boolean` `isSetVega_table_name()` Returns true if field vega_table_name is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TPixelTableRowResult._Fields field, Object value)`
`TPixelTableRowResult` `setNonce​(String nonce)`
`void` `setNonceIsSet​(boolean value)`
`TPixelTableRowResult` `setPixel​(TPixel pixel)`
`void` `setPixelIsSet​(boolean value)`
`TPixelTableRowResult` `setRow_id​(List<Long> row_id)`
`void` `setRow_idIsSet​(boolean value)`
`TPixelTableRowResult` `setRow_set​(TRowSet row_set)`
`void` `setRow_setIsSet​(boolean value)`
`TPixelTableRowResult` `setTable_id​(List<Long> table_id)`
`void` `setTable_idIsSet​(boolean value)`
`TPixelTableRowResult` `setVega_table_name​(String vega_table_name)`
`void` `setVega_table_nameIsSet​(boolean value)`
`String` `toString()`
`void` `unsetNonce()`
`void` `unsetPixel()`
`void` `unsetRow_id()`
`void` `unsetRow_set()`
`void` `unsetTable_id()`
`void` `unsetVega_table_name()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pixel

    public TPixel pixel

#### vega_table_name

    public String vega_table_name

#### table_id

    public List<Long> table_id

#### row_id

    public List<Long> row_id

#### row_set

    public TRowSet row_set

#### nonce

    public String nonce

#### metaDataMap

    public static final Map<TPixelTableRowResult._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TPixelTableRowResult

    public TPixelTableRowResult()

#### TPixelTableRowResult

    public TPixelTableRowResult​(TPixel pixel,
                                String vega_table_name,
                                List<Long> table_id,
                                List<Long> row_id,
                                TRowSet row_set,
                                String nonce)

#### TPixelTableRowResult

    public TPixelTableRowResult​(TPixelTableRowResult other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TPixelTableRowResult deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TPixelTableRowResult,​TPixelTableRowResult._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TPixelTableRowResult,​TPixelTableRowResult._Fields>`

#### getPixel

    public TPixel getPixel()

#### setPixel

    public TPixelTableRowResult setPixel​(TPixel pixel)

#### unsetPixel

    public void unsetPixel()

#### isSetPixel

    public boolean isSetPixel()

Returns true if field pixel is set (has been assigned a value) and false otherwise

#### setPixelIsSet

    public void setPixelIsSet​(boolean value)

#### getVega_table_name

    public String getVega_table_name()

#### setVega_table_name

    public TPixelTableRowResult setVega_table_name​(String vega_table_name)

#### unsetVega_table_name

    public void unsetVega_table_name()

#### isSetVega_table_name

    public boolean isSetVega_table_name()

Returns true if field vega_table_name is set (has been assigned a value) and false otherwise

#### setVega_table_nameIsSet

    public void setVega_table_nameIsSet​(boolean value)

#### getTable_idSize

    public int getTable_idSize()

#### getTable_idIterator

    public Iterator<Long> getTable_idIterator()

#### addToTable_id

    public void addToTable_id​(long elem)

#### getTable_id

    public List<Long> getTable_id()

#### setTable_id

    public TPixelTableRowResult setTable_id​(List<Long> table_id)

#### unsetTable_id

    public void unsetTable_id()

#### isSetTable_id

    public boolean isSetTable_id()

Returns true if field table_id is set (has been assigned a value) and false otherwise

#### setTable_idIsSet

    public void setTable_idIsSet​(boolean value)

#### getRow_idSize

    public int getRow_idSize()

#### getRow_idIterator

    public Iterator<Long> getRow_idIterator()

#### addToRow_id

    public void addToRow_id​(long elem)

#### getRow_id

    public List<Long> getRow_id()

#### setRow_id

    public TPixelTableRowResult setRow_id​(List<Long> row_id)

#### unsetRow_id

    public void unsetRow_id()

#### isSetRow_id

    public boolean isSetRow_id()

Returns true if field row_id is set (has been assigned a value) and false otherwise

#### setRow_idIsSet

    public void setRow_idIsSet​(boolean value)

#### getRow_set

    public TRowSet getRow_set()

#### setRow_set

    public TPixelTableRowResult setRow_set​(TRowSet row_set)

#### unsetRow_set

    public void unsetRow_set()

#### isSetRow_set

    public boolean isSetRow_set()

Returns true if field row_set is set (has been assigned a value) and false otherwise

#### setRow_setIsSet

    public void setRow_setIsSet​(boolean value)

#### getNonce

    public String getNonce()

#### setNonce

    public TPixelTableRowResult setNonce​(String nonce)

#### unsetNonce

    public void unsetNonce()

#### isSetNonce

    public boolean isSetNonce()

Returns true if field nonce is set (has been assigned a value) and false otherwise

#### setNonceIsSet

    public void setNonceIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TPixelTableRowResult._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TPixelTableRowResult,​TPixelTableRowResult._Fields>`

#### getFieldValue

    public Object getFieldValue​(TPixelTableRowResult._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TPixelTableRowResult,​TPixelTableRowResult._Fields>`

#### isSet

    public boolean isSet​(TPixelTableRowResult._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TPixelTableRowResult,​TPixelTableRowResult._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TPixelTableRowResult that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TPixelTableRowResult other)

Specified by:
  `compareTo` in interface `Comparable<TPixelTableRowResult>`

#### fieldForId

    public TPixelTableRowResult._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TPixelTableRowResult,​TPixelTableRowResult._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`